package com.ktg.iscs.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ktg.iscs.domain.IsMaterialsCheckPlan;
import com.ktg.iscs.domain.dto.checkPlan.AddCheckPlanDTO;
import com.ktg.iscs.domain.dto.plan.PlanDTO;

/**
 * 物资检查计划Service接口
 *
 * @author cgj
 * @date 2025-01-14
 */
public interface IIsMaterialsCheckPlanService extends IService<IsMaterialsCheckPlan> {

    Page<IsMaterialsCheckPlan> getIsMaterialsCheckPlanPage(Page<IsMaterialsCheckPlan> page, PlanDTO dto);

    Boolean insertIsMaterialsCheckPlan(AddCheckPlanDTO dto);

    Boolean updateIsMaterialsCheckPlan(AddCheckPlanDTO dto);

    Boolean deleteIsMaterialsCheckPlanByPlanIds(String planIds);

    IsMaterialsCheckPlan selectIsMaterialsCheckPlanById(Long planId);

}
